﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace File_Renamer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            FormIniziale FinestraIniziale = new FormIniziale();
            FinestraIniziale.ShowDialog();
            if (Dati.ACCETTA == 0)
                this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            if (apricartella.ShowDialog() == DialogResult.OK)
            {
                string sPath = apricartella.SelectedPath;
                percorsocartella.Text = sPath;
                DirectoryInfo DirRenamer = new DirectoryInfo(sPath);
                foreach (FileInfo sFile in DirRenamer.GetFiles())
                {
                    listafiles.Items.Add(sFile.ToString());
                }
            }
            
        }

        private void varie_SelectedValueChanged(object sender, EventArgs e)
        {
            if (varie.Text == "Numero Progressivo")
            {
                numeroiniziale.Enabled = true;
            }
            else
                numeroiniziale.Enabled = false;

        }

        private void button3_Click(object sender, EventArgs e)
        {
            string sExtension;
            //Se l'estensione e' stata specificata
            if (ext.Text != "")
                sExtension = ext.Text;
            else
                sExtension = "." + "ESTENSIONE FILE";
            if(varie.Text=="Numero Progressivo")
            anteprima.Text = prefisso.Text + nomefile.Text + suffisso.Text + numeroiniziale.Text +sExtension;
            
                
        }

        private void button2_Click(object sender, EventArgs e)
        {
            DirectoryInfo DirRename = new DirectoryInfo(apricartella.SelectedPath);
            if (MessageBox.Show("Attenzione, procedo con il rename dei files selezionati?", "File Renamer", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes)
            {
                //Se non ha selezionato files dillo
                if (listafiles.SelectedItems.Count == 0)
                {
                    MessageBox.Show("Attenzione, non hai selezionato alcun file da rinominare dalla lista files", "File Renamer", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }
                //Scelta Data di creazione
                if (varie.Text == "Numero Progressivo")
                {
                    int i = Convert.ToInt32(numeroiniziale.Text);
                    foreach (string sItem in listafiles.SelectedItems)
                    {
                        
                        foreach (FileInfo sFile in DirRename.GetFiles())
                        {
                            //MessageBox.Show("Devo cercare=" + sItem);
                            //MessageBox.Show("Sono al file=" + sFile.Name);
                            
                            if(sFile.Name==sItem)
                            {
                                //MessageBox.Show("Trovato=" + sFile.Name);
                                try
                                {
                                    string sExtension;
                                    //Se l'estensione e' stata specificata
                                    if (ext.Text != "")
                                        sExtension = ext.Text;
                                    else
                                        sExtension = sFile.Extension;


                                    //MessageBox.Show(DirRename.FullName + "\\" + prefisso.Text + nomefile.Text + suffisso.Text + sFile.CreationTime.Day.ToString() + "." + sFile.CreationTime.Month.ToString() + "." + sFile.CreationTime.Year.ToString());
                                    sFile.CopyTo(DirRename.FullName + "\\" + prefisso.Text + nomefile.Text + suffisso.Text + i.ToString() + sExtension);
                                    sFile.Delete();
                                    i++;
                                    //sFile.Name = prefisso.Text + nomefile.Text + suffisso.Text + sFile.CreationTime.Date.ToString();
                                    
                                }
                                catch (Exception ex)
                                {

                                    MessageBox.Show(ex.Message);
                                }     
                            }
                        }
                    }
                    //Deletiamo ed aggiorniamo gli oggetti in listbox
                    listafiles.Items.Clear();
                    //Aggiorniamo la listbox
                    foreach (FileInfo sFileNew in DirRename.GetFiles())
                    {
                        listafiles.Items.Add(sFileNew.ToString());
                    }
                }

                //Numero progressivo
                if (varie.Text == "Numero Progressivo")
                {
                    int nNumeroIniziale = Convert.ToInt32(numeroiniziale.Text);
                 
                }

            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //FormIniziale FinestraIniziale = new FormIniziale();
            //FinestraIniziale.ShowDialog();
        }
    }
}

